STOFFGraphicShape Class Reference documentation

STOFFGraphicShape Class Reference

a structure used to define a picture shape More...

`#include <STOFFGraphicShape.hxx>`

## Public Types
enum | Command { C_Connector , C_Ellipse , C_Path , C_Polygon , C_Polyline , C_Rectangle , C_Unknown }
| an enum used to define the interface command More...

## Public Member Functions
| STOFFGraphicShape ()
| constructor
virtual | ~STOFFGraphicShape ()
| virtual destructor
void | addTo (librevenge::RVNGPropertyList &list) const
| add shape to property list

## Public Attributes
Command | m_command
| the command
STOFFBox2f | m_bdbox
| the shape bdbox in twip
librevenge::RVNGPropertyList | m_propertyList
| the property
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFGraphicShape const &sh)
| a print operator

## Detailed Description

a structure used to define a picture shape

## Member Enumeration Documentation

## ◆ Command

enum STOFFGraphicShape::Command

an enum used to define the interface command

Enumerator
C_Connector |
C_Ellipse |
C_Path |
C_Polygon |
C_Polyline |
C_Rectangle |
C_Unknown |

## Constructor & Destructor Documentation

## ◆ STOFFGraphicShape()

STOFFGraphicShape::STOFFGraphicShape | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## ◆ ~STOFFGraphicShape()

STOFFGraphicShape::~STOFFGraphicShape | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

## ◆ addTo()

void STOFFGraphicShape::addTo | ( | librevenge::RVNGPropertyList & | list | ) | const

add shape to property list

Referenced by STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), and STOFFTextListener::insertShape().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFGraphicShape const & | sh )
| friend

a print operator

## Member Data Documentation

## ◆ m_bdbox

STOFFBox2f STOFFGraphicShape::m_bdbox

the shape bdbox in twip

Referenced by addTo(), operator<<, StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and STOFFGraphicShape().

## ◆ m_command

Command STOFFGraphicShape::m_command

the command

Referenced by STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::insertShape(), operator<<, StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and STOFFGraphicShape().

## ◆ m_extra

std::string STOFFGraphicShape::m_extra

extra data

Referenced by operator<<, and STOFFGraphicShape().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFGraphicShape::m_propertyList

the property

Referenced by addTo(), STOFFSpreadsheetListener::insertShape(), operator<<, StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and STOFFGraphicShape().

The documentation for this class was generated from the following files:

- STOFFGraphicShape.hxx
- STOFFGraphicShape.cxx